<script setup>
import { computed } from "vue";
import ActionsRuntime from "../../../../actions/components/group.vue";
defineOptions({ name: "ShwfedBlockActionsRuntime" });
const block = defineModel("block", { type: null, ...{ required: true } });
defineProps({
  configure: { type: Function, required: false }
});
const actionsConfig = computed({
  get: () => block.value.actions,
  set: (next) => {
    block.value = { ...block.value, actions: next };
  }
});
</script>

<template>
  <ActionsRuntime
    v-model:config="actionsConfig"
    :configure="configure"
  />
</template>
